// Code generated by MockGen. DO NOT EDIT.
// Source: awsIntegration/awsIntegration.go

// Package mock_awsIntegration is a generated GoMock package.
package mock_awsIntegration

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	model "imiano.pl/chest/model"
)

// MockAwsIntegration is a mock of AwsIntegration interface.
type MockAwsIntegration struct {
	ctrl     *gomock.Controller
	recorder *MockAwsIntegrationMockRecorder
}

// MockAwsIntegrationMockRecorder is the mock recorder for MockAwsIntegration.
type MockAwsIntegrationMockRecorder struct {
	mock *MockAwsIntegration
}

// NewMockAwsIntegration creates a new mock instance.
func NewMockAwsIntegration(ctrl *gomock.Controller) *MockAwsIntegration {
	mock := &MockAwsIntegration{ctrl: ctrl}
	mock.recorder = &MockAwsIntegrationMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAwsIntegration) EXPECT() *MockAwsIntegrationMockRecorder {
	return m.recorder
}

// GetAlbum mocks base method.
func (m *MockAwsIntegration) GetAlbum(albumId string) (*model.Album, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetAlbum", albumId)
	ret0, _ := ret[0].(*model.Album)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetAlbum indicates an expected call of GetAlbum.
func (mr *MockAwsIntegrationMockRecorder) GetAlbum(albumId interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAlbum", reflect.TypeOf((*MockAwsIntegration)(nil).GetAlbum), albumId)
}

// GetCredentials mocks base method.
func (m *MockAwsIntegration) GetCredentials(username string) (*model.UserCredentials, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetCredentials", username)
	ret0, _ := ret[0].(*model.UserCredentials)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetCredentials indicates an expected call of GetCredentials.
func (mr *MockAwsIntegrationMockRecorder) GetCredentials(username interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetCredentials", reflect.TypeOf((*MockAwsIntegration)(nil).GetCredentials), username)
}

// GetImg mocks base method.
func (m *MockAwsIntegration) GetImg(bucket, imgKey string) (*model.Image, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetImg", bucket, imgKey)
	ret0, _ := ret[0].(*model.Image)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetImg indicates an expected call of GetImg.
func (mr *MockAwsIntegrationMockRecorder) GetImg(bucket, imgKey interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetImg", reflect.TypeOf((*MockAwsIntegration)(nil).GetImg), bucket, imgKey)
}

// ListAlbums mocks base method.
func (m *MockAwsIntegration) ListAlbums() ([]model.Album, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ListAlbums")
	ret0, _ := ret[0].([]model.Album)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ListAlbums indicates an expected call of ListAlbums.
func (mr *MockAwsIntegrationMockRecorder) ListAlbums() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ListAlbums", reflect.TypeOf((*MockAwsIntegration)(nil).ListAlbums))
}

// ListImagesInAlbum mocks base method.
func (m *MockAwsIntegration) ListImagesInAlbum(bucket, album string) ([]string, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ListImagesInAlbum", bucket, album)
	ret0, _ := ret[0].([]string)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ListImagesInAlbum indicates an expected call of ListImagesInAlbum.
func (mr *MockAwsIntegrationMockRecorder) ListImagesInAlbum(bucket, album interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ListImagesInAlbum", reflect.TypeOf((*MockAwsIntegration)(nil).ListImagesInAlbum), bucket, album)
}

// SaveAlbum mocks base method.
func (m *MockAwsIntegration) SaveAlbum(album *model.Album) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SaveAlbum", album)
	ret0, _ := ret[0].(error)
	return ret0
}

// SaveAlbum indicates an expected call of SaveAlbum.
func (mr *MockAwsIntegrationMockRecorder) SaveAlbum(album interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SaveAlbum", reflect.TypeOf((*MockAwsIntegration)(nil).SaveAlbum), album)
}
